import greenfoot.*;

/**
 * Write a description of class HelpButton here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class HelpButton extends Actor
{
    /**
     * Act - do whatever the HelpButton wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if(Greenfoot.mouseClicked(this)) {
            Greenfoot.playSound("click.mp3");
            getWorld().addObject(new GamePlayInfo(), 450, 300);
        }
        if(Greenfoot.isKeyDown("enter"))
        {
             Greenfoot.setWorld(new Space());
        }
    }       
}
